For the complete documentation index, see llms.txt. This page is also available as Markdown.

Managing Attachments

ASM API Quick Reference Guide

Managing Attachments

  1. Getting a List of Attachments:

    • Method: GET

    • URL: {{SystemURLTest}}/alemba.api/api/v2/call/{{CallRef}}/attachment

    • Headers: Content-Type: application/json, Authorization: Bearer {{Login_Token}}

  2. Downloading Attachments:

    • Method: GET

    • URL: {{SystemURLTest}}/alemba.api/api/v2/call/{{CallRef}}/attachment-download/<attachmentRef>

    • Headers: Authorization: Bearer {{Login_Token}}

  3. Uploading Attachments:

    • Method: POST

    • URL: {{SystemURLTest}}/alemba.api/api/v2/call/{{CallRef}}/attachment

    • Headers: Content-Type: application/json, Authorization: Bearer {{Login_Token}}

    • Body: JSON data with fields such as Data, Description, DescriptionHtml, Title, entityRef, name, and visibleInPortal.

Last updated

Was this helpful?